Bug 1469346 - User cannot publish new content view version
User cannot publish new content view version
Status: VERIFIED
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Pulp (Show other bugs)
6.2.10
x86_64 Linux
unspecified Severity medium (vote)
: GA
: --
Assigned To: Ondřej Pražák
John Mitsch
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-11 00:03 EDT by Harshad More
Modified: 2017-09-06 10:28 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Foreman Issue Tracker 18959 None None None 2017-07-11 00:03 EDT

  None (edit)
Description Harshad More 2017-07-11 00:03:12 EDT
Description of problem:

User cannot publish new content view version. The user was able to publish new versions before but not now giving error of "undefined method `default_capsule?' for nil:NilClass".

The issue got fixed after adding capsule entry to the Organization.


Additional info:

This issue is already been reported in upstream Bugzilla.

http://projects.theforeman.org/issues/18959
Comment 1 pm-sat@redhat.com 2017-07-11 02:08:38 EDT
Upstream bug assigned to oprazak@redhat.com
Comment 2 pm-sat@redhat.com 2017-07-11 02:08:41 EDT
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/18959 has been resolved.
Comment 4 John Mitsch 2017-08-16 13:59:26 EDT
VERIFIED in satellite-6.3.0-16.0.beta.el7sat.noarch (snap 10)

When trying to create a repository (tried file and yum type) and publishing a content view I got this correct error message:
 "Could not find a capsule with pulp feature."

Note You need to log in before you can comment on or make changes to this bug.